/*
 * Copyright  2000-2002 Atheros Communications, Inc.,  All Rights Reserved.
 *
 * Defines exported routines from ar5211KeyCache.c
 *
 * $Id: //depot/sw/releases/2.0.1/src/hal/ar5211/ar5211KeyCache.h#1 $
 */

#ifndef _AR5211_KEYCACHE_H_
#define _AR5211_KEYCACHE_H_

#ifdef _cplusplus
extern "C" {
#endif

A_UINT32
ar5211GetKeyCacheSize(WLAN_DEV_INFO *pDev);

void
ar5211ResetKeyCacheEntry(WLAN_DEV_INFO *pDev, A_UINT16 keyCacheIndex);

void
ar5211SetKeyCacheEntry(WLAN_DEV_INFO *pDev, A_UINT16 keyCacheIndex,
                       WLAN_MACADDR *pMacAddr, WLAN_PRIV_RECORD *pWlanPrivRecord,
                    A_BOOL bXorKey);



#ifdef _cplusplus
}
#endif

#endif /* _AR5211_KEYCACHE_H_ */
