/*
 * Copyright  2000-2002 Atheros Communications, Inc.,  All Rights Reserved.
 *
 * Defines exported routines from ar5211Power.c
 *
 * $Id: //depot/sw/releases/2.0.1/src/hal/ar5211/ar5211Power.h#1 $
 */

#ifndef _AR5211_POWER_H_
#define _AR5211_POWER_H_

#include "linuxdrv.h"

#ifdef _cplusplus
extern "C" {
#endif

void
ar5211SetPowerModeAuto(WLAN_DEV_INFO *pDev, A_BOOL setChip, A_UINT16 sleepDuration);

A_STATUS
ar5211SetPowerModeAwake(WLAN_DEV_INFO *pDev, A_BOOL setChip);

void
ar5211SetPowerModeSleep(WLAN_DEV_INFO *pDev, A_BOOL setChip);

A_BOOL
ar5211QueryPSPollSupport(WLAN_DEV_INFO *pDev);

A_STATUS
ar5211InitPSPoll(WLAN_DEV_INFO *pDev);

A_STATUS
ar5211EnablePSPoll(WLAN_DEV_INFO *pDev, WLAN_MACADDR *pBssid, A_UINT16 assocId);

A_STATUS
ar5211DisablePSPoll(WLAN_DEV_INFO *pDev);

#ifdef _cplusplus
}
#endif

#endif /* _AR5211_POWER_H_ */
