/*
 *  Copyright  2000-2002 Atheros Communications, Inc.,  All Rights Reserved.
 *
 * wlanos.h - Declarations of OS dependent implementation routines and data
 * $Id: //depot/sw/releases/2.0.1/src/include/wlanos.h#1 $
 */

#ifndef	__INCwlanosh
#define	__INCwlanosh

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define Linux   1

#ifdef NT_HW
#ifndef WIN32
#define WIN32
#endif

/* Bring in our include file for the NT environment where dk runs
 * as NT application on top of Jungo driver.
 */
#include "ntdefs.h"
#endif	/* NT_HW */

#ifdef NDIS_HW
/* Bring in our include file for the NDIS environment */
/* if WIN32 is not defined, define it anyway. */
#ifndef WIN32
#define WIN32
#endif

#include "ndisdefs.h"
#endif	/* NDIS_HW */

#ifdef Linux
/* Bring in our include file for the Linux environment */
#include "linuxdefs.h"
#endif	/* Linux */

#ifdef VXWORKS
/* Bring in our include file for the VxWorks environment */
#include "vxdefs.h"
#endif	/* VXWORKS */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __INCwlanosh */
