/*****************************************************************************
 *     $Id: gpio.h,v 1.1 1999/11/05 20:23:37 srinivas Exp $
 *
 *     Description:  Banyan GPIO Header File(only for GPIOFUNC alternate
 *		     function register)
 *     Author:       Srinivas
 *     Company:      AT&T
 *
 *     $Log: gpio.h,v $
 *     Revision 1.1  1999/11/05 20:23:37  srinivas
 *     Added GPIO header file for alternate funtion bits
 *
 *
 *****************************************************************************/

#ifndef _gpio
#define _gpio

/* GPIOFUNC Settings */
#define GPIOFUNC_I2C    (0x3 << 14)
#define GPIOFUNC_CSN    (0x3 << 16)
#define GPIOFUNC_EXTDMA ((0x3 << 18) & (0x1 << 31))
#define GPIOFUNC_USB    (0x1 << 20)
#define GPIOFUNC_SDRAM  (0x1 << 21)
#define GPIOFUNC_ATM    (0xf << 22)
#define GPIOFUNC_TDM    (0x1 << 26)
#define GPIOFUNC_AP     (0xf << 27)

#endif /* _gpio */
