/*****************************************************************************
 *     $Id: sysinteg.h,v 1.1 2000/03/17 19:05:29 pzo Exp $
 *
 *     Description:  Banyan System Integrity Function Header File
 *     Author:       Peter Z. Onufryk
 *     Company:      AT&T
 *
 *     $Log: sysinteg.h,v $
 *     Revision 1.1  2000/03/17 19:05:29  pzo
 *     Added header file for system integrity.
 *
 *
 *****************************************************************************/

#ifndef _sysinteg
#define _sysinteg

/******************************************************************************
 * ERRCS Register
 *****************************************************************************/

#define ERRCS_TT          (1<<0)              /* tt bit                      */
#define ERRCS_BTO         (1<<1)              /* bto bit                     */
#define ERRCS_BTE         (1<<3)              /* bte bit                     */
#define ERRCS_WTO         (1<<5)              /* wto bit                     */
#define ERRCS_WNE         (1<<6)              /* wne bit                     */
#define ERRCS_UCW         (1<<7)              /* ucw bit                     */

/******************************************************************************
 * WTC Register
 *****************************************************************************/
#define WTC_EN            (1<<0)              /* en bit                      */
#define WTC_TO            (1<<1)              /* to bit                      */

#endif /* _sysinteg */


