/*****************************************************************************
 *     $Id: timer.h,v 1.1 2000/03/22 14:45:42 pzo Exp $
 *
 *     Description:  Counter Timer Header File
 *     Author:       Peter Z. Onufryk
 *     Company:      AT&T
 *
 *     $Log: timer.h,v $
 *     Revision 1.1  2000/03/22 14:45:42  pzo
 *     Created header file for counter timers.
 *
 *
 *****************************************************************************/

#ifndef _timer
#define _timer

/******************************************************************************
 * RTC
 *****************************************************************************/

#define RTC_EN             (1<<0)              /* EN bit                      */
#define RTC_TO             (1<<2)              /* TO bit                      */

/******************************************************************************
 * Counter Timer
 *****************************************************************************/

#define CTC_EN             (1<<0)              /* EN bit                      */
#define CTC_TO             (1<<1)              /* TO bit                      */

#endif /* _timer */


