/* JUNGO_COPYRIGHT_2 */

#ifndef USB_DEV_COMMON_H 
#define USB_DEV_COMMON_H
#include "osport/ostypes.h"
#include "osport/oswrp.h"
#include "mips/banyan.h"
#include "mips/udarch.h"
#include "mips/usb.h"
#include "mips/dma.h"
#include "udhal/udhalgif.h"
#include "udhal/udcldef.h"
#include "udhal/usbdef.h"
#include "usb_slave_api.h"

#undef USB_RNDIS_DEBUG

/* 
 * #ifndef USB_RNDIS_DEBUG
 * #define USB_RNDIS_DEBUG 
 * #endif
 */
#ifdef USB_RNDIS_DEBUG
#define USB_DPRINTK(args...) printk(args)
#else
#define USB_DPRINTK(args...)
#endif

#define MAX_DEBUG 5000
#define MAX_ALLOWED_TRANSFER_SIZE 0x4000

/* vendor specific */
#define VENDOR_ID 0x3016
#define VENDOR_DESCRIPTION "Jungo Powered IDT USB RNDIS Network Card" 
#define VENDOR_VERSION 0x0100

/* RNDIS states */
#define RNDIS_UNINITIALIZED 0
#define RNDIS_INITIALIZED 1
#define RNDIS_DATA_INITIALIZED 2

/* USB SLAVE */
int usb_slave_upper_device_initialized(struct usb_device_ops *usb_upper_ops, 
    volatile int *is_device_connected); 
#endif


