#ifndef _TPS2383_H_
#define _TPS2383_H_

extern void tps_init(int nTps);
extern int tps_jog(ulong port, int nTps);
extern int tps_discover_resistor(ulong port, int nTps);
extern int tps_discover_capacitor(ulong port, int nTps);
extern int tps_ramp_up(ulong port, int nTps, ulong ramps, ulong ms);
extern int tps_ramp_down(ulong port, int nTps);
extern int tps_sample(ulong port, int nTps, int voltage);
extern int tps_calibrate(ulong port, int nTps);

#endif _TPS2383_H_
