/*
 * (C) Copyright 2000
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <ppcboot.h>

void display_options (void)
{
	extern char *build_num, *build_time;

#if defined(BUILD_TAG)
	printf ("\n\n%s, Build: %s\n\n", version_string, BUILD_TAG);
#else
	printf ("\n\n%s (build %s)\n", PPCBOOT_VERSION, build_num);
#ifdef __GNUC_PATCHLEVEL__
	printf ("Built: %s (with gcc %d.%d.%d)\n", build_time,
	__GNUC__, __GNUC_MINOR__, __GNUC_PATCHLEVEL__);
#else
	printf ("Built: %s (with gcc %d.%d)\n", build_time,
	__GNUC__, __GNUC_MINOR__);
#endif
	printf ("\n");

#endif
}
