#include <stdarg.h>
#include <string.h>
#include <msgHandler/msgHandler.h>
#include <papi/MHApi.h>
#include <util/list.h>
#include <util/hash.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <syslog.h>
#include <amapi.h>
#include <amapi_common.h>
#include <amapi_response.h>
#include <vpn/cli_handler.h>
#include "ipc.h"
#include <vpn/shared_cli.h>

static const char* shared_keywords[] = {
  "hello",
  "authentication"
};

const sHandlerKeywords SHAREDKeywords = {
  shared_keywords,
  sizeof(shared_keywords) / sizeof(*shared_keywords)
};

cli_chmode shared_modes[] = {
  { PPTPHandler, "PPTP", "PROMPT=(config-vpdn-pptp)#  ", &shared_cli_vpdn },
  { NullHandler, NULL, NULL, NULL }
};

void shared_cli_show_vpdn_tunnel(char *buf, int *buflen, char *tag)
{
    char tmp[MAX_CLI_LINE];

    ADD_DATA(tmp, MAX_CLI_LINE, buf, "Command obsolete.  Please use show user-table to get a list of users.  All PPTP users connected using MSCHAPv2 with 128 bit MPPE encryption.");

    
    return;
}

void shared_cli_clear_vpdn_tunnel(char *buf, int *buflen, char *tag)
{
    CLI_RETURN_ERROR(clibuf, SHARED_CLI_PAPI_PREALLOC_PACKET_SIZE,
                     "Command not currently supported.");
    return;
}
