#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <syslog.h>
#ifdef SYSV
#include <sys/types.h>
#endif
#include <utmp.h>
#include <ctype.h>
#include <string.h>
#include "syslogutil.h"

struct code	lglvlNames[] = {
	{"EMER",	LOG_EMERG},
	{"ALRT",	LOG_ALERT},
	{"CRIT",	LOG_CRIT},
	{"ERRS",	LOG_ERR},
	{"WARN",	LOG_WARNING},
	{"NOTI",	LOG_NOTICE},
	{"INFO",	LOG_INFO},
	{"DBUG",	LOG_DEBUG},
	{NULL,		-1}
};

char* 
convertCase(char* data)
{
	char* buf;
	char* res;
	char* p = data;
	char c;
	if(data == NULL)
		return data;
	buf = malloc(strlen(data) + 1);
	if(buf == NULL)
		return NULL;
	memset(buf, 0, strlen(data) + 1);
	res = buf;
	while(*p != '\0'){
		if(!isalnum(*p)){
			*res = *p;
		}else{
			if(islower(*p)){
				*res = (char)toupper(*p);
			}else if(isupper(*p)){
				*res = (char)tolower(*p);
			}else{
				*res = *p;
			}
		}
		p++;
		res++;
	}
	*res = 0;
	return buf;
}

