#include <features.h>

#ifdef __UCLIBC_HAS_LFS__

#if defined _FILE_OFFSET_BITS && _FILE_OFFSET_BITS != 64 
#undef _FILE_OFFSET_BITS
#define	_FILE_OFFSET_BITS   64
#endif
#ifndef __USE_LARGEFILE64
# define __USE_LARGEFILE64	1
#endif
/* We absolutely do _NOT_ want interfaces silently
 * renamed under us or very bad things will happen... */
#ifdef __USE_FILE_OFFSET64
# undef __USE_FILE_OFFSET64
#endif
#include <dirent.h>
#include <glob.h>
#include <sys/stat.h>

#define dirent dirent64
#define readdir(dirp) readdir64 (dirp)

#define glob_t glob64_t
#define glob(pattern, flags, errfunc, pglob) \
  glob64 (pattern, flags, errfunc, pglob)
#define globfree(pglob) globfree64 (pglob)

#undef stat
#define stat stat64
#define lstat lstat64

#define __GLOB64    1
    
#include "glob.c"

int __xstat64 (__const char *__restrict __file, struct stat64 *__restrict __buf) __THROW;
int __fxstat64 (int __fd, struct stat64 *__buf) __THROW;


// mlord; hack to accomodate Solid, built with glibc.   Upon review
// of the industry leading libc, it appars that the group parameter
// is not used :-( 

int 
__xstat64 (__const char *__restrict __file, struct stat64 *__restrict __buf) __THROW
{
  return (stat64(__file, __buf));
}

int 
__fxstat64 (int __fd, struct stat64 *__buf) __THROW
{
  return (fstat64 (__fd, __buf));
}

#endif
