/*
 * Copyright  2000-2002 Atheros Communications, Inc.,  All Rights Reserved.
 *
 * TODO: comment
 *
 * $Id: //depot/sw/releases/2.0.1/src/hal/ar5211/ar5211Beacon.h#1 $
 */

#ifndef _AR5211_BEACON_H_
#define _AR5211_BEACON_H_

#include "linuxdrv.h"

#include "wlantype.h"   /* A_UINTxx, etc. */
#include "wlandrv.h"    /* WLAN_DEV_INFO */

#ifdef _cplusplus
extern "C" {
#endif

A_STATUS
ar5211WaitForBeaconDone(WLAN_DEV_INFO *pDev);

void
ar5211UpdateBeaconDesc(ATHEROS_DESC *pDesc, A_UINT32 frameLen);

void
ar5211QueueBeaconAndCab(WLAN_DEV_INFO *pDev, ATHEROS_DESC *pBeacon, ATHEROS_DESC *pCab);

void
ar5211SetupBeaconDesc(ATHEROS_DESC *pDesc, A_BOOL isAp);

void
ar5211BeaconInit(WLAN_DEV_INFO *pDev, A_UINT32 tsf, A_BOOL isAp);

#ifdef _cplusplus
}
#endif

#endif /* _AR5211_BEACON_H_ */
