/*
 * Copyright  2000-2002 Atheros Communications, Inc.,  All Rights Reserved.
 *
 * Defines exported routines from ar5211Receive.c
 *
 * $Id: //depot/sw/releases/2.0.1/src/hal/ar5211/ar5211Receive.h#1 $
 */

#ifndef _AR5211_Receive_H_
#define _AR5211_Receive_H_

#include "linuxdrv.h"			  
			  
#ifdef _cplusplus
extern "C" {
#endif

A_UINT32
ar5211GetRxDP(WLAN_DEV_INFO *pDev);

void
ar5211SetRxDP(WLAN_DEV_INFO *pDev, A_UINT32 rxdp);

void
ar5211EnableReceive(WLAN_DEV_INFO *pDev);

A_STATUS
ar5211StopDmaReceive(WLAN_DEV_INFO *pDev);

void
ar5211StartPcuReceive(WLAN_DEV_INFO *pDev);

void
ar5211StopPcuReceive(WLAN_DEV_INFO *pDev);

void
ar5211SetMulticastFilter(WLAN_DEV_INFO *pDev, A_UINT32 filter0, A_UINT32 filter1);

void
ar5211MulticastFilterIndex(WLAN_DEV_INFO *pDev, A_UINT32 index, A_BOOL bSet);

void
ar5211RxFilter(WLAN_DEV_INFO *pDev,	A_UINT32 bits, HAL_RX_FILTER_OPER oper);

A_UINT16
ar5211GetRxDescRxAntenna(ATHEROS_DESC *pDesc);

A_UINT16
ar5211GetRxDescRxTimeStamp(ATHEROS_DESC *pDesc);

A_UINT16
ar5211GetRxDescKeyIndex(ATHEROS_DESC *pDesc);

A_UINT16
ar5211GetRxDescKeyCacheMiss(ATHEROS_DESC *pDesc);

void
ar5211EnableRxZlf(WLAN_DEV_INFO *pDev);

#ifdef _cplusplus
}
#endif

#endif /* _AR5211_Receive_H_ */
