/*
 *  Copyright  2000-2002 Atheros Communications, Inc.,  All Rights Reserved.
 *
 * wlanframe.h - function declarations and macros to operate on 802.11 frames
 *
 * $Id: //depot/sw/releases/2.0.1/src/include/wlanframe.h#1 $
 */

#ifndef	__INCwlanFrameh
#define	__INCwlanFrameh


A_UINT16 lengthGet(ATHEROS_DESC *pDesc);	/* descriptor chain */
A_UINT16 headerLengthGet(ATHEROS_DESC *pDesc);	/* descriptor chain */

#define isFrag(header) \
    (((header)->frameControl.moreFrag == 1) || \
     ((header)->sequenceControl.fragNo != 0))
#define moreFragGet(desc) \
    ((desc)->pBufferVirtPtr.header->frameControl.moreFrag)
#define fragNumGet(desc) \
    ((desc)->pBufferVirtPtr.header->sequenceControl.fragNo)
#define seqNumGet(desc) \
    ((desc)->pBufferVirtPtr.header->sequenceControl.seqNo)
#define isGrp(macaddr) \
    ((A_BOOL)((macaddr)->octets[0] & 0x01))

#endif /* __INCwlanFrameh */
