/*
 * BK Id: SCCS/s.param.h 1.8 08/20/01 22:50:29 paulus
 */
#ifndef _ASM_PPC_PARAM_H
#define _ASM_PPC_PARAM_H

#ifndef HZ

#ifdef __KERNEL__
#include <linux/config.h>
#endif

#ifdef CONFIG_ASAP
// want a 2 ms tick on the SAPs
#define HZ 500
#else
#define HZ 100
#endif
#endif

#define EXEC_PAGESIZE	4096

#ifndef NGROUPS
#define NGROUPS		32
#endif

#ifndef NOGROUP
#define NOGROUP		(-1)
#endif

#define MAXHOSTNAMELEN	64	/* max length of hostname */

#ifdef __KERNEL__
# define CLOCKS_PER_SEC	HZ	/* frequency at which times() counts */
#endif

#endif
