#!/bin/sh

H_FILE=../usb_slave_vendor_info.h
SRC=openrg_usb_template.inf
DST=OpenRGUSB.inf
SCRIPT=script.sed

sed_add()
{
    VAR=$1
    LINE=`grep $VAR $H_FILE | sed -e "s/^#define $VAR[[:space:]]* //" -e "s/^0x//" -e "s/[[:space:]]*$//"`
    echo "s/<$2>/$LINE/g" >> $SCRIPT
}

rm -f $SCRIPT
touch $SCRIPT

sed_add USB_DEV_VENDOR_ID v_id
sed_add USB_DEV_PRODUCT_ID p_id
sed_add USB_DEV_VENDOR_DESCRIPTION v_str
sed_add USB_DEV_PRODUCT_DESCRIPTION p_str

sed -f $SCRIPT $SRC > $DST
rm -f $SCRIPT

