#ifndef ARUBA_SAP_H
#define ARUBA_SAP_H


#define SAP_CPLD_LED_BASE 0x70000000
#ifdef ARUBA_LINUX_BIN
// needed for initial linux image to boot from VxWorks bootloader
#define SAP_CPLD_WDG_BASE 0x78000000
#else
#define SAP_CPLD_WDG_BASE 0x70010000
#endif

#define PPC8241_PVID 0x80811014
#define PPC8245_PVID 0x80811015

typedef enum {PPC8241_PRO=0, PPC8245_PRO=1, INVALID_PRO} eProcessorType;
extern eProcessorType apProcessor;

#endif
