/*
 * (C) Copyright 2000
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*
 * Memory Functions
 */
#ifndef	_CMD_CFG_H
#define _CMD_CFG_H

#if (CONFIG_COMMANDS & CFG_CMD_CFG)
#define CMD_TBL_CD	MK_CMD_TBL_ENTRY(					\
	"cd",		2,	3,	1,	do_cfg_cd,			\
	"cd      - cfg register display\n",					\
	"[.b, .w, .l] address [# of objects]\n    - cfg register display\n"	\
),
#define CMD_TBL_CW	MK_CMD_TBL_ENTRY(					\
	"cw",		2,	4,	1,	do_cfg_cw,			\
	"cw      - cfg register write\n",				        \
	"[.b, .w, .l] address value [count]\n    - write cfg register\n"	\
),

int do_cfg_cd    (cmd_tbl_t *cmdtp, bd_t *bd, int flag, int argc, char *argv[]);
int do_cfg_cw    (cmd_tbl_t *cmdtp, bd_t *bd, int flag, int argc, char *argv[]);

#else
#define CMD_TBL_CD
#define CMD_TBL_CW
#endif	/* CFG_CMD_CFG */

#endif	/* _CMD_CFG_H */
