/*
 * (C) Copyright 2000
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*
 * FLASH support
 */
#ifndef	_CMD_FLASH_H
#define	_CMD_FLASH_H

#if (CONFIG_COMMANDS & CFG_CMD_FLASH)
#define	CMD_TBL_FLASH	MK_CMD_TBL_ENTRY(					\
	"flash",	3,	5,	1,	do_flash,			\
	"flash   - FLASH sub-system\n",			                	\
	"info [bank]\n"	                                                   	\
	"flash erase ((start end) | bank[:SF[-SL]] | all)\n"                   	\
	"flash protect (on | off) ((start end) | bank[:SF[-SL]] | bank | all)\n"\
	"flash write start memaddr length\n"                                    \
	"    - perform FLASH operations (SF/SL=sector, start/end=address)\n"    \
),

int do_flash (cmd_tbl_t *cmdtp, bd_t *bd, int flag, int argc, char *argv[]);
#else
#define CMD_TBL_FLASH
#endif	/* CFG_CMD_FLASH */

#endif	/* _CMD_FLASH_H */
